Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451880 - Window refresh rate slower in duel head config
Summary: Window refresh rate slower in duel head config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: http://planet.fedoraproject.org/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 22:45 UTC by louisgtwo
Modified: 2018-04-11 13:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 13:42:21 UTC


Attachments (Terms of Use)
Duel head config (deleted)
2008-06-18 16:41 UTC, louisgtwo
no flags Details
log file for updated xserver (deleted)
2008-06-18 16:44 UTC, louisgtwo
no flags Details
without xorg.conf file or duel head (deleted)
2008-06-18 16:54 UTC, louisgtwo
no flags Details

Description louisgtwo 2008-06-17 22:45:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
With latest update of xorg windows refreshes are dog slow. Scrolling in firefox with the mouse wheel is much slower. Also dragging a terminal over firefox you see slow redraws. 

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1.x
2.x
3.x

Actual Results:


Expected Results:


Additional info:

Comment 1 Matěj Cepl 2008-06-18 07:04:43 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 louisgtwo 2008-06-18 16:41:35 UTC
Created attachment 309759 [details]
Duel head config

This is the xorg.conf file which I use for my duel head setup on my laptop

Comment 3 louisgtwo 2008-06-18 16:44:29 UTC
Created attachment 309760 [details]
log file for updated xserver

this is the log file for the updated xserver where I began to see problems.
This is using my custom xorg.conf file.

Comment 4 louisgtwo 2008-06-18 16:54:21 UTC
Created attachment 309762 [details]
without xorg.conf file or duel head

This log file is without a xorf.conf file of my vgs monitor attached. Just the
standard laptop.

Comment 5 louisgtwo 2008-06-18 17:00:15 UTC
Without my custom xorg.conf file or duel head config everything is working fine.
I see no slowdowns at all. Seams to de a duel head config problem. 

On a side note I also do not have direct rendering, I do not even have /dev/drm.
I have opened a separate bug for this. Bug 451887

Comment 6 louisgtwo 2008-06-20 02:07:14 UTC
Without the xorg.conf file both monitors work fine, even dri. The monitors are
mirrors of each other. So something with my xorg.conf file is causing the
problems. How can I get one big desktop without the xorg.conf file?
System-config-display is not working for me at all.

Comment 7 louisgtwo 2008-06-20 03:07:00 UTC
I have pinpointed the problem to the virtual 3200 1200 line in the xorg.conf
file. Without this line the two displays are working fine. But the displays are
lot aligned correctly. I need to have the virual fb bigger. 


Comment 8 louisgtwo 2008-06-23 19:00:56 UTC
After repositioning the monitors one above the other and having a virtual
desktop of 1920 2000 My problems went away. So the xserver is having problems
with the monitors side by side. This worked well with the xserver that
originally shipped with F9. 

Comment 9 Bug Zapper 2009-06-10 01:40:38 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.